Video API, REST: Video.BatchGetScreenshots
Retrieves screenshots taken during the video transcoding process for a list of videos.
This is more efficient than making multiple GetScreenshots requests when retrieving screenshots for several videos.
HTTP request
POST https://video.api.yandexcloud.kz/video/v1/videos:batchGetScreenshots
Body parameters
{
"channelId": "string",
"videoIds": [
"string"
]
}
|
Field |
Description |
|
channelId |
string Required field. ID of the channel containing the videos. The maximum string length in characters is 50. |
|
videoIds[] |
string List of video IDs for which to retrieve screenshots. The maximum string length in characters for each value is 50. The number of elements must be in the range 1-100. |
Response
HTTP Code: 200 - OK
{
"videoScreenshots": [
{
"videoId": "string",
"screenshots": [
"string"
]
}
]
}
|
Field |
Description |
|
videoScreenshots[] |
List of screenshots for the requested videos. |
VideoScreenshots
|
Field |
Description |
|
videoId |
string ID of the video for which screenshots are retrieved. |
|
screenshots[] |
string List of URLs to screenshots taken during the video transcoding process. |